@using System.Linq
@inject Blazored.LocalStorage.ILocalStorageService localStorage
@inject HttpClient Http
@inject GlobalAppState GlobalAppState
@inject NavigationManager NavManager
@inject IMatToaster Toaster
@inject IJSRuntime JSRuntime
@implements IDisposable
@page "/map"

<h1>Universe Map</h1>

@if (SystemHovered != null)
{
    <em>Hovered: @SystemHovered.DisplayName</em>
}
else if (SpriteHovered != null)
{
    <em>Hovered: @SpriteHoveredDisplay</em>   
}
else
{
    <em>Hovered: None</em>
}
<div style="min-height: 200px; margin-right:10px; width: fit-content; flex-wrap: wrap">
    
    <FIOWeb.Components.MapComponent @ref="MapComponent" OnFinishedLoading="@(() => FinishedLoading())" OnSpriteHovered="@((sprite) => SetSpriteHovered(sprite))" OnSystemHovered="@((sys) => SetSystemHovered(sys))" OnSystemClicked="@((sys) => SetSystemClicked(sys))"/>

@if (SystemClicked != null)
{
    <MatTable Items="@SystemClicked.Planets" class="mat-elevation-z5" ShowPaging="true" @bind-PageSize="PlanetDescriptionsPageSize" UseSortHeaderRow="false" Striped="true" Style="font-size:11px; margin-left: 30px">
        <MatTableHeader>
            <th Style="font-size:12px">Planet</th>
            <th Style="font-size:12px">Requirements</th>
            <th Style="font-size:12px">Fertility</th>
            <th Style="font-size:12px"><span style="display:inline-block">Resources</span></th>
        </MatTableHeader>
        <MatTableRow>
            <td>@context.DisplayName</td>
            <td>@context.BuildingMaterials</td>
            <td>@context.FertilityDisplay</td>
            <td>@context.ResourcesDisplay</td>
        </MatTableRow>
    </MatTable>
}
</div>